// Top-level build file where you can add configuration options common to all sub-projects/modules.
//构建脚本
buildscript {
    //定义一个公共仓库
    repositories {
        maven {
            url 'http://maven.aliyun.com/nexus/content/groups/public/'
        }
        google()
        jcenter()
    }
    dependencies {
        //定义依赖
        classpath "com.android.tools.build:gradle:4.0.1"

        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}

//项目本身需要的依赖，配置所有Module公用依赖
allprojects {
    repositories {
        maven {
            url 'http://maven.aliyun.com/nexus/content/groups/public/'
        }
        google()
        jcenter()

    }
}
//系统自动生成的task,主要用于清除构建的文件（就是编译后的build下面的文件）
task clean(type: Delete) {
    delete rootProject.buildDir
}